
*************************************************************************************************************************************
*********                                                                                                                               ***********************
*********       CONSISTENCIES BETWEEN PUPIL BOOKLET  & SCHOOL HEAD BOOKLET     ***********************
*********                                                                                                                               ***********************
**********                                                                                                                              ***********************
**************************************************************************************************************************************
**************************************************************************************************************************************

**School Library Borrowing Policy

***GET PUPIL QUESTIONAIRE****

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\01_PBK_PARTD_(Qnre)_XXX_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).


FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .



FILTER OFF.
USE ALL.
SELECT IF(missing(pborrows)).
EXECUTE .


SORT CASES BY
  idschool (A) .


AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow0s.SAV'
  /BREAK=idschool
  /BREAK0=N.




GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\01_PBK_PARTD_(Qnre)_XXX_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).


FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .



FILTER OFF.
USE ALL.
SELECT IF(pborrows = 1).
EXECUTE .


SORT CASES BY
  idschool (A) .


AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow1s.SAV'
  /BREAK=idschool
  /BREAK1=N.




GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\01_PBK_PARTD_(Qnre)_XXX_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).


FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .



FILTER OFF.
USE ALL.
SELECT IF(pborrows = 2).
EXECUTE .


SORT CASES BY
  idschool (A) .


AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow2s.SAV'
  /BREAK=idschool
  /BREAK2=N.




GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\01_PBK_PARTD_(Qnre)_XXX_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).


FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .



FILTER OFF.
USE ALL.
SELECT IF(pborrows = 3).
EXECUTE .


SORT CASES BY
  idschool (A) .


AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow3s.SAV'
  /BREAK=idschool
  /BREAK3=N.



***GET SCHOOL HEAD BOOKLET DATA

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolHeadBooket\03_SHBK_XXX_S3_26SEPT2007.SAV'.

COMPUTE shbk_cas = $CASENUM .
VARIABLE LABEL shbk_cas 'School Head Booklet Part D Case Number'.
FORMAT shbk_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

sort cases by idschool (a).

MATCH FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow0s.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow1s.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow2s.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow3s.SAV'
 /BY idschool.
EXECUTE.

SUMMARIZE
  /TABLES=shbk_cas idschool sborrow break0 break1 break2 break3 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='School Library Borrowing Policy'
  /MISSING=VARIABLE
  /CELLS=COUNT .


*************** END **************************** END *************************END ******************************* END ************************************************ .