
**********************************************************************************************************************************************
*********                                                                                                                                          ***********************
*********       CONSISTENCIES BETWEEN PUPIL BOOKLET  & SCHOOL INFOMATION BOOKLET     ***********************
*********                                                                                                                                          ***********************
**********                                                                                                                                         ***********************
***********************************************************************************************************************************************
***********************************************************************************************************************************************

***** SCHOOL FEEDING PROGRAMME *****.


***GET PUPIL QUESTIONAIRE****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\01_PBK_PARTD_(Qnre)_NAM_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(missing(pmealsch)) .
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals0.SAV'
  /BREAK=idschool
  /BREAK0=N.





GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\01_PBK_PARTD_(Qnre)_NAM_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(pmealsch = 1).
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals1.SAV'
  /BREAK=idschool
  /BREAK1=N.




GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\01_PBK_PARTD_(Qnre)_NAM_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(pmealsch = 2).
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals2.SAV'
  /BREAK=idschool
  /BREAK2=N.






GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\01_PBK_PARTD_(Qnre)_NAM_S3_26SEPT2007.SAV'.

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(pmealsch = 3).
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals3.SAV'
  /BREAK=idschool
  /BREAK3=N.




GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\SchoolInformationBooklet\06_Sibk_NAM_S3_26Sept2007.SAV'.

COMPUTE sibk_cas = $CASENUM .
VARIABLE LABEL sibk_cas 'Pupil Booklet Part D Case Number'.
FORMAT sibk_cas (F8.0).
EXECUTE 

compute idschool=school.
formats idschool (F9.0).

sort cases by idschool (a).

MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals0.SAV'
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals1.SAV'
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals2.SAV'
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step03-IDsChecked\FirstEntry\PupilBooklet\meals3.SAV'
 /BY idschool.
EXECUTE.

SUMMARIZE
  /TABLES=sibk_cas idschool ssfp break0 break1 break2 break3 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='School Feeding Programme'
  /MISSING=VARIABLE
  /CELLS=COUNT .

*************** END **************************** END *************************END ******************************* END ************************************************ .